# All Solutions

## Overview

The All Solutions node in the [Solution Explorer](/reference/servoy-developer/solution-explorer.md#solution-explorer) can be expanded to show each of the existing [solutions](/reference/servoy-developer/solution-explorer/all-solutions/solution.md#overview) in the workspace.

## Commands Summary

A summary of commands available on this item via right-click context menu:

| Command                                     | Summary                                                                                                  |
| ------------------------------------------- | -------------------------------------------------------------------------------------------------------- |
| [Create new solution](#create-new-solution) | Opens the [New Solution Wizard](/reference/servoy-developer/object-editors/new-solution-wizard.md)       |
| [Publish](#publish)                         | Publish solution Git repository to Servoy Cloud                                                          |
| [Import solution](#import-solution)         | Opens the [Import Solution Wizard](/reference/servoy-developer/object-editors/solution-import-wizard.md) |

## Commands Details

The details for each command available on this item via right-click context menu.

### Create new solution

Opens the [New Solution Wizard](/reference/servoy-developer/object-editors/new-solution-wizard.md).

### Publish

Publish solution Git repository to Servoy Cloud. The local git repository must be in sync with remote repository (no changes).

### Import solution

Opens the [Import Solution Wizard](/reference/servoy-developer/object-editors/solution-import-wizard.md). Can import a solution export (.servoy file from local disk). See also [Export Solution Wizard](/reference/servoy-developer/object-editors/file-export-wizard.md) for how to export solution to .servoy file on disk.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.servoy.com/reference/servoy-developer/solution-explorer/all-solutions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
